Not able to edit the vmi port in new UI

Bug #1785618 reported by musharani on 2018-08-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R5.0
Fix Committed
High
Biswajit Mandal
Trunk
Fix Committed
High
Biswajit Mandal

Bug Description

contrail-build - ocata-5.0-173
contrail-command - 5.0.-173

Setup also available - control node - nodek12
contrail-command node - nodec59

Editing the VMI port is failing with the below error. Because of this not able to attach floating ip and security group.

While attaching getting the error "apiVersion for NOVA is null". And also the fixed ip of the vm2 is getting removed from port page.

Logs:
-----
08/06/2018 05:37:32 PM - ^[[31merror^[[39m: URL [http://10.204.216.232:8082/ref-update] returned error ["Bad Request: type/uuid/ref-type/operation is null: floating-ip, None, virtual-machine-interface, ADD."]
08/06/2018 05:37:33 PM - ^[[31merror^[[39m: REST Server Error: Bad Request: type/uuid/ref-type/operation is null: floating-ip, None, virtual-machine-interface, ADD.<br>apiVersion for NOVA is NULL
    at APIServer.retryMakeCall (/usr/src/contrail/contrail-web-core/src/serverroot/common/rest.api.js:203:13)
    at Request.<anonymous> (/usr/src/contrail/contrail-web-core/src/serverroot/common/rest.api.js:334:18)
    at Request.emit (events.js:98:17)
    at Request.mixin._fireSuccess (/usr/lib64/node_modules/restler/lib/restler.js:250:10)
    at /usr/lib64/node_modules/restler/lib/restler.js:181:20
    at IncomingMessage.parsers.auto (/usr/lib64/node_modules/restler/lib/restler.js:414:7)
    at Request.mixin._encode (/usr/lib64/node_modules/restler/lib/restler.js:218:29)
    at /usr/lib64/node_modules/restler/lib/restler.js:177:16
    at Request.mixin._decode (/usr/lib64/node_modules/restler/lib/restler.js:193:7)
    at IncomingMessage.<anonymous> (/usr/lib64/node_modules/restler/lib/restler.js:170:14)
TypeError: Failed to parse JSON body: Cannot call method 'substring' of undefined
    at cropIfCompute (/usr/src/contrail/contrail-web-controller/webroot/config/networking/port/api/portsconfig.api.js:1036:19)
    at attachDeviceOwner (/usr/src/contrail/contrail-web-controller/webroot/config/networking/port/api/portsconfig.api.js:1122:12)
    at /usr/src/contrail/contrail-web-controller/webroot/config/networking/port/api/portsconfig.api.js:971:13
    at /usr/src/contrail/contrail-web-controller/webroot/config/networking/port/api/portsconfig.api.js:1086:17
    at /usr/src/contrail/contrail-web-controller/webroot/config/networking/port/api/portsconfig.api.js:561:9
    at /usr/src/contrail/contrail-web-core/src/serverroot/common/computemanager.api.js:129:9
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/nova.api.js:819:17
    at Object.getServiceAPIVersionByReqObj (/usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/openstack.api.js:249:9)
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/nova.api.js:813:16
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/keystone.api.js:1367:9
08/06/2018 05:37:33 PM - ^[[31merror^[[39m: URL [http://10.204.216.232:5000/v3/auth/tokens] returned error [{}]
08/06/2018 05:37:33 PM - ^[[31merror^[[39m: Error in getting token object for tenant: admin

http.js:690
    throw new Error('Can\'t set headers after they are sent.');
    ^
Error: Can't set headers after they are sent.
    at ServerResponse.OutgoingMessage.setHeader (http.js:690:11)
    at ServerResponse.res.setHeader (/usr/lib64/node_modules/express/node_modules/connect/lib/patch.js:59:22)
    at ServerResponse.res.set.res.header (/usr/lib64/node_modules/express/lib/response.js:512:10)
    at ServerResponse.res.cookie (/usr/lib64/node_modules/express/lib/response.js:582:8)
    at ServerResponse.res.clearCookie (/usr/lib64/node_modules/express/lib/response.js:544:15)
    at redirectToLogout (/usr/src/contrail/contrail-web-core/src/serverroot/utils/common.utils.js:1238:9)
    at Object.handleAuthToAuthorizeError (/usr/src/contrail/contrail-web-core/src/serverroot/utils/common.utils.js:2303:9)
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/nova.api.js:809:25
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/keystone.api.js:1367:9
    at /usr/src/contrail/contrail-web-core/src/serverroot/orchestration/plugins/openstack/keystone.api.js:788:21
08/06/2018 05:37:33 PM - ^[[34mdebug^[[39m: The worker #7 has disconnected.
08/06/2018 05:37:33 PM - ^[[31merror^[[39m: The worker #7 has exited with exit code 8

musharani (musharani) wrote :
description: updated
musharani (musharani) wrote :
musharani (musharani) wrote :
Changed in juniperopenstack:
milestone: none → r5.0.1
musharani (musharani) on 2018-08-06
summary: - Not able to attach the floating ip under the port in new UI
+ Not able to edit the vmi port in new UI
description: updated
Changed in juniperopenstack:
assignee: Sarin Kizhakkepurayil (sarink) → Biswajit Mandal (bmandal)
Jeba Paulaiyan (jebap) on 2018-08-07
tags: added: contrail-networking
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers